﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet
  version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:n="http://schemas.microsoft.com/robotics/2007/01/atom.html">

  <xsl:import href="/resources/dss/Microsoft.Dss.Runtime.Home.MasterPage.xslt" />

  <xsl:template match="/">
    <xsl:call-template name="MasterPage">
      <xsl:with-param name="serviceName">
        Atom/RSS Syndication
      </xsl:with-param>
      <xsl:with-param name="description">
        The Atom Syndication Service provides an Atom/RSS feed which can be accessed programmatically by DSS services
      </xsl:with-param>
      <xsl:with-param name="head">
        <link rel="alternate" type="application/atom+xml" href="/atom" />
      </xsl:with-param>
    </xsl:call-template>
  </xsl:template>

  <xsl:template match="/n:Document">
    <div xmlns="http://www.w3.org/1999/xhtml">
      <p>
        Here you can interact manually with the Atom/RSS syndication service
        by either creating new blog entries, querying for particular entries,
        or <a href="/atom">reading the entire set</a> of blog entries. In addition,
        in RSS enabled browsers you will see the orange RSS symbol light up
        which allows you to subscribe to the entire feed or sub-parts thereof
        by creating a standing query over the feed.
      </p>
      <div id="Search">
        <form method="get" action="/atom">
          <b>Search current feed using keywords or phrases:</b>
          <br />
          <input type="text" name="q" size="80" maxlength="100" tabindex="1" />
          <button type="submit">Go</button>
        </form>
      </div>
      <div id="Write">
        <form method="post" action="/atom">
          <b>Create new blog entry:</b><br />
          Title:<br />
          <input type="text" name="title" size="80" maxlength="128" /><br />
          Content:<br />
          <textarea name="content" cols="70" rows="10"></textarea><br />
          Does entry contain inline content or a URI to the content:
          <select name="value">
            <option selected="selected">Inline</option>
            <option>URI</option>
          </select><br />
          If inline content, what is the format of the entry:
          <select name="type">
            <option selected="selected">Text</option>
            <option>HTML</option>
          </select><br />
          <button type="submit">Submit</button>
        </form>
      </div>
    </div>
  </xsl:template>

</xsl:stylesheet>