//-----------------------------------------------------------------------
//  This file is part of the Microsoft Robotics Studio Code Samples.
// 
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  $File: ConfirmForm.cs $ $Revision: 1 $
//-----------------------------------------------------------------------
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.Ccr.Core;

namespace Microsoft.Robotics.Services.Sample.Dialog
{
    public partial class ConfirmForm : Form
    {
        private PortSet<bool, Exception> _result;

        public PortSet<bool, Exception> Result
        {
            get { return _result; }
        }

        public string Message
        {
            get { return lblMessage.Text; }
            set { lblMessage.Text = value; }
        }


        public ConfirmForm()
            :this(new PortSet<bool,Exception>())
        {
        }

        public ConfirmForm(PortSet<bool, Exception> result)
        {
            _result = result;

            InitializeComponent();
        }

        private void btnOk_Click(object sender, EventArgs e)
        {
            _result.Post(true);
            Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            _result.Post(false);
            Close();
        }
    }
}