//-----------------------------------------------------------------------
//  This file is part of the Microsoft Robotics Studio Code Samples.
// 
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  $File: PromptForm.cs $ $Revision: 1 $
//-----------------------------------------------------------------------
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.Ccr.Core;

namespace Microsoft.Robotics.Services.Sample.Dialog
{
    public partial class PromptForm : Form
    {
        PortSet<string, Exception> _result;

        public PortSet<string, Exception> Result
        {
            get { return _result; }
        }

        public string Message
        {
            get { return lblMessage.Text; }
            set { lblMessage.Text = value; }
        }

        string _default;

        public string DefaultValue
        {
            get { return _default; }
            set
            {
                _default = value;
                txtValue.Text = _default;
            }
        }

        public PromptForm()
            : this(new PortSet<string, Exception>())
        {
        }

        public PromptForm(PortSet<string,Exception> result)
        {
            _result = result;

            InitializeComponent();
        }

        private void btnOk_Click(object sender, EventArgs e)
        {
            _result.Post(txtValue.Text);
            Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            _result.Post(txtValue.Text);
            Close();
        }
    }
}